Bug 1571453 - Crash in clang compiler building .NET Core
Summary: Crash in clang compiler building .NET Core
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: clang
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Stellard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 20:26 UTC by Omair Majid
Modified: 2018-08-29 22:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 22:47:32 UTC
Type: Bug


Attachments (Terms of Use)
/tmp/emitxarch-0d07dd.cpp (7.24 MB, text/plain)
2018-04-24 20:27 UTC, Omair Majid
no flags Details
/tmp/emitxarch-0d07dd.sh (13.84 KB, text/plain)
2018-04-24 20:28 UTC, Omair Majid
no flags Details

Description Omair Majid 2018-04-24 20:26:00 UTC
Description of problem:

I was trying to build .NET Core:

1. git clone https://github.com/dotnet/source-build
2. cd source-build
3. git checkout 8d7676baae31c0c6ccb76befec70738ee76c251f
4. git submodule init
5. git submodule update
6. ./build.sh

(Please note that .NET Core uses itself to build and due to a bug in .NET Core, the build does not support any terminal that uses the new terminfo format used in Fedora 28 and Rawhide. xterm+screen works. gnome-terminal+tmux does not work. Any terminal in Fedora 27 or earlier works.)

The build crashed. Here is the console output:

  [ 93%] Building CXX object src/jit/standalone/CMakeFiles/clrjit.dir/__/lowerxarch.cpp.o
  [ 93%] Building CXX object src/vm/crossgen/CMakeFiles/cee_crossgen.dir/__/peimage.cpp.o
  #0 0x00007f2cc6d8895e llvm::sys::PrintStackTrace(llvm::raw_ostream&) (/usr/bin/../lib64/libLLVM-6.0.so+0x80c95e)
  #1 0x00007f2cc6d86896 llvm::sys::RunSignalHandlers() (/usr/bin/../lib64/libLLVM-6.0.so+0x80a896)
  #2 0x00007f2cc6d86a59 (/usr/bin/../lib64/libLLVM-6.0.so+0x80aa59)
  #3 0x00007f2cc636efb0 __restore_rt (/usr/bin/../lib64/libpthread.so.0+0x11fb0)
  #4 0x00007f2cc4204f4b __GI_raise (/usr/bin/../lib64/libc.so.6+0x36f4b)
  #5 0x00007f2cc41ef591 __GI_abort (/usr/bin/../lib64/libc.so.6+0x21591)
  #6 0x00007f2cc58a9608 (/usr/bin/../lib64/libclangCodeGen.so.6+0xa4608)
  #7 0x00007f2cc5b0f797 (/usr/bin/../lib64/libclangCodeGen.so.6+0x30a797)
  #8 0x00007f2cc5b130d1 (/usr/bin/../lib64/libclangCodeGen.so.6+0x30e0d1)
  #9 0x00007f2cc5b13bae (/usr/bin/../lib64/libclangCodeGen.so.6+0x30ebae)
  #10 0x00007f2cc5b12faf (/usr/bin/../lib64/libclangCodeGen.so.6+0x30dfaf)
  #11 0x00007f2cc5b131d9 (/usr/bin/../lib64/libclangCodeGen.so.6+0x30e1d9)
  #12 0x00007f2cc5b13bae (/usr/bin/../lib64/libclangCodeGen.so.6+0x30ebae)
  #13 0x00007f2cc5b12faf (/usr/bin/../lib64/libclangCodeGen.so.6+0x30dfaf)
  #14 0x00007f2cc5b2ac29 clang::CodeGen::CodeGenPGO::computeRegionCounts(clang::Decl const*) (/usr/bin/../lib64/libclangCodeGen.so.6+0x325c29)
  #15 0x00007f2cc5b2af0c clang::CodeGen::CodeGenPGO::assignRegionCounters(clang::GlobalDecl, llvm::Function*) (/usr/bin/../lib64/libclangCodeGen.so.6+0x325f0c)
  #16 0x00007f2cc5ac5f0b clang::CodeGen::CodeGenFunction::GenerateCode(clang::GlobalDecl, llvm::Function*, clang::CodeGen::CGFunctionInfo const&) (/usr/bin/../lib64/libclangCodeGen.so.6+0x2c0f0b)
  #17 0x00007f2cc5ae4bad clang::CodeGen::CodeGenModule::EmitGlobalFunctionDefinition(clang::GlobalDecl, llvm::GlobalValue*) (/usr/bin/../lib64/libclangCodeGen.so.6+0x2dfbad)
  #18 0x00007f2cc5aff8f0 clang::CodeGen::CodeGenModule::EmitGlobalDefinition(clang::GlobalDecl, llvm::GlobalValue*) (/usr/bin/../lib64/libclangCodeGen.so.6+0x2fa8f0)
  #19 0x00007f2cc5b00880 clang::CodeGen::CodeGenModule::EmitGlobal(clang::GlobalDecl) (/usr/bin/../lib64/libclangCodeGen.so.6+0x2fb880)
  #20 0x00007f2cc5b0163b clang::CodeGen::CodeGenModule::EmitTopLevelDecl(clang::Decl*) (/usr/bin/../lib64/libclangCodeGen.so.6+0x2fc63b)
  #21 0x00007f2cc5b6825f (/usr/bin/../lib64/libclangCodeGen.so.6+0x36325f)
  #22 0x00007f2cc5aafb91 (/usr/bin/../lib64/libclangCodeGen.so.6+0x2aab91)
  #23 0x00007f2cc2545893 clang::ParseAST(clang::Sema&, bool, bool) (/usr/bin/../lib64/../lib64/libclangParse.so.6+0x36893)
  #24 0x00007f2cc5ab50da clang::CodeGenAction::ExecuteAction() (/usr/bin/../lib64/libclangCodeGen.so.6+0x2b00da)
  #25 0x00007f2cc51b7346 clang::FrontendAction::Execute() (/usr/bin/../lib64/libclangFrontend.so.6+0xe4346)
  #26 0x00007f2cc5171fd6 clang::CompilerInstance::ExecuteAction(clang::FrontendAction&) (/usr/bin/../lib64/libclangFrontend.so.6+0x9efd6)
  #27 0x00007f2cc4ecf438 clang::ExecuteCompilerInvocation(clang::CompilerInstance*) (/usr/bin/../lib64/libclangFrontendTool.so.6+0x4438)
  #28 0x0000557cd41d1e28 cc1_main(llvm::ArrayRef<char const*>, char const*, void*) (/usr/bin/clang-6.0+0x12e28)
  #29 0x0000557cd41cd8b2 main (/usr/bin/clang-6.0+0xe8b2)
  #30 0x00007f2cc41f11bb __libc_start_main (/usr/bin/../lib64/libc.so.6+0x231bb)
  #31 0x0000557cd41ce41a _start (/usr/bin/clang-6.0+0xf41a)
  Stack dump:
  0.    Program arguments: /usr/bin/clang-6.0 -cc1 -triple x86_64-unknown-linux-gnu -emit-llvm-bc -flto -flto-unit -disable-free -disable-llvm-verifier -discard-value-names -main-file-name emitxarch.cpp -mrelocation-model pic -pic-level 2 -mthread-model posix -mdisable-fp-elim -fmath-errno -masm-verbose -mconstructor-aliases -munwind-tables -fuse-init-array -target-cpu x86-64 -dwarf-column-info -debug-info-kind=limited -dwarf-version=4 -debugger-tuning=gdb -momit-leaf-frame-pointer -fprofile-instrument-use-path=/home/omajid/devel/dotnet/source-build/packages/optimization.linux-x64.pgo.coreclr/99.99.99-master-20180228-0037/data/clrjit.profdata -coverage-notes-file /home/omajid/devel/dotnet/source-build/src/coreclr/bin/obj/Linux.x64.Release/src/jit/standalone/CMakeFiles/clrjit.dir/__/emitxarch.cpp.gcno -nostdsysteminc -nobuiltininc -resource-dir /usr/lib64/clang/6.0.0 -D AMD64 -D BIT64=1 -D DBG_TARGET_64BIT=1 -D DBG_TARGET_AMD64=1 -D DBG_TARGET_AMD64_UNIX -D DBG_TARGET_WIN64=1 -D DEBUGGING_SUPPORTED -D DISABLE_CONTRACTS -D FEATURE_APPDOMAIN_RESOURCE_MONITORING -D FEATURE_ARRAYSTUB_AS_IL -D FEATURE_CODE_VERSIONING -D FEATURE_COLLECTIBLE_TYPES -D FEATURE_CORECLR -D FEATURE_COREFX_GLOBALIZATION -D FEATURE_CORESYSTEM -D FEATURE_CORRUPTING_EXCEPTIONS -D FEATURE_DBGIPC_TRANSPORT_DI -D FEATURE_DBGIPC_TRANSPORT_VM -D FEATURE_EVENTSOURCE_XPLAT=1 -D FEATURE_EVENT_TRACE=1 -D FEATURE_HIJACK -D FEATURE_HW_INTRINSICS -DFEATURE_ICASTABLE -D FEATURE_ISYM_READER -D FEATURE_JUMPSTAMP -D FEATURE_LEGACYNETCF_DBG_HOST_CONTROL -D FEATURE_LOADER_OPTIMIZATION -D FEATURE_MANAGED_ETW -D FEATURE_MANAGED_ETW_CHANNELS -D FEATURE_MANUALLY_MANAGED_CARD_BUNDLES -D FEATURE_MULTICASTSTUB_AS_IL -D FEATURE_MULTICOREJIT -D FEATURE_MULTIREG_RETURN -D FEATURE_NO_HOST -D FEATURE_PAL -D FEATURE_PAL_ANSI -D FEATURE_PAL_SXS -D FEATURE_PERFMAP -D FEATURE_PERFTRACING=1 -D FEATURE_PREJIT -D FEATURE_READYTORUN -D FEATURE_READYTORUN_COMPILER -D FEATURE_REJIT -D FEATURE_SIMD -D FEATURE_STANDALONE_GC -D FEATURE_STANDALONE_SN -D FEATURE_STRONGNAME_DELAY_SIGNING_ALLOWED -D FEATURE_STRONGNAME_MIGRATION -D FEATURE_STUBS_AS_IL -D FEATURE_SVR_GC -D FEATURE_SYMDIFF -D FEATURE_TIERED_COMPILATION -D FEATURE_UNIX_AMD64_STRUCT_PASSING -D FEATURE_UNIX_AMD64_STRUCT_PASSING_ITF -D FEATURE_USE_ASM_GC_WRITE_BARRIERS -D FEATURE_USE_SOFTWARE_WRITE_WATCH_FOR_GC_HEAP -D FEATURE_WINDOWSPHONE -D FEATURE_WINMD_RESILIENT -D JIT_BUILD=1 -D LINUX64 -D NDEBUG -D PLATFORM_UNIX=1 -D PROFILING_SUPPORTED -D SELF_NO_HOST -D UNICODE -D UNIX_AMD64_ABI -D URTBLDENV_FRIENDLY=Retail -D _AMD64_ -D _BLD_CLR -D _SECURE_SCL=0 -D _TARGET_64BIT_=1 -D _TARGET_AMD64_=1 -D _UNICODE -D _WIN64 -D clrjit_EXPORTS -I /home/omajid/devel/dotnet/source-build/src/coreclr/bin/obj/Linux.x64.Release/src/jit/standalone -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/jit/standalone -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/pal/prebuilt/inc -I /home/omajid/devel/dotnet/source-build/src/coreclr/bin/obj -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/pal/inc -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/pal/inc/rt -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/pal/src/safecrt -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/inc -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/strongname/inc -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/inc/winrt -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/debug/inc -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/debug/inc/amd64 -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/debug/inc/dump -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/md/inc -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/classlibnative/bcltype -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/classlibnative/cryptography -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/classlibnative/inc -I /home/omajid/devel/dotnet/source-build/src/coreclr/bin/obj/Linux.x64.Release/src/inc -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/pal/inc/rt/cpp -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/nativeresources -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/jit/./jitstd -I /home/omajid/devel/dotnet/source-build/src/coreclr/src/jit/../inc -internal-isystem /usr/bin/../lib/gcc/x86_64-redhat-linux/8/../../../../include/c++/8 -internal-isystem /usr/bin/../lib/gcc/x86_64-redhat-linux/8/../../../../include/c++/8/x86_64-redhat-linux -internal-isystem /usr/bin/../lib/gcc/x86_64-redhat-linux/8/../../../../include/c++/8/backward -O3 -Wall -Wno-null-conversion -Werror -Wno-unused-private-field -Wno-unused-variable -Wno-microsoft -Wno-tautological-compare -Wno-constant-logical-operand -Wno-pragma-pack -Wno-unknown-warning-option -Wno-invalid-offsetof -Wno-incompatible-ms-struct -Wno-profile-instr-out-of-date -Wno-profile-instr-unprofiled -std=c++11 -fdeprecated-macro -fdebug-compilation-dir /home/omajid/devel/dotnet/source-build/src/coreclr/bin/obj/Linux.x64.Release/src/jit/standalone -ferror-limit 4096 -fmessage-length 0 -fwrapv -stack-protector 2 -fms-extensions -fobjc-runtime=gcc -fcxx-exceptions -fexceptions -fdiagnostics-show-option -vectorize-loops -vectorize-slp -o CMakeFiles/clrjit.dir/__/emitxarch.cpp.o -x c++ /home/omajid/devel/dotnet/source-build/src/coreclr/src/jit/emitxarch.cpp
  1.    /home/omajid/devel/dotnet/source-build/src/coreclr/src/jit/emitxarch.cpp:2770:1: current parser token 'void'  
  2.    /home/omajid/devel/dotnet/source-build/src/coreclr/src/jit/emitxarch.cpp:2693:29: LLVM IR generation of declaration 'emitter::emitMapFmtAtoM'
  3.    /home/omajid/devel/dotnet/source-build/src/coreclr/src/jit/emitxarch.cpp:2693:29: Generating code for declaration 'emitter::emitMapFmtAtoM'
  [ 93%] Building CXX object src/vm/crossgen/CMakeFiles/cee_crossgen.dir/__/peimagelayout.cpp.o
  clang-6.0: error: unable to execute command: Aborted (core dumped)
  clang-6.0: error: clang frontend command failed due to signal (use -v to see invocation)
  clang version 6.0.0 (tags/RELEASE_600/final)
  Target: x86_64-unknown-linux-gnu
  Thread model: posix
  InstalledDir: /usr/bin
  clang-6.0: note: diagnostic msg: PLEASE submit a bug report to  and include the crash backtrace, preprocessed source, and associated run script.
  [ 93%] Building CXX object src/jit/protononjit/CMakeFiles/protononjit.dir/__/instr.cpp.o
  clang-6.0: note: diagnostic msg:
  ********************

  PLEASE ATTACH THE FOLLOWING FILES TO THE BUG REPORT:
  Preprocessed source(s) and associated run script(s) are located at:
  clang-6.0: note: diagnostic msg: /tmp/emitxarch-0d07dd.cpp
  clang-6.0: note: diagnostic msg: /tmp/emitxarch-0d07dd.sh
  clang-6.0: note: diagnostic msg:

  ********************
  make[2]: *** [src/jit/standalone/CMakeFiles/clrjit.dir/build.make:843: src/jit/standalone/CMakeFiles/clrjit.dir/__/emitxarch.cpp.o] Error 254
  make[2]: *** Waiting for unfinished jobs....



Version-Release number of selected component (if applicable):
clang-6.0.0-5.fc28.x86_64
llvm-6.0.0-11.fc28.x86_64
llvm-libs-6.0.0-11.fc28.x86_64

Comment 1 Omair Majid 2018-04-24 20:27:32 UTC
Created attachment 1426246 [details]
/tmp/emitxarch-0d07dd.cpp

Comment 2 Omair Majid 2018-04-24 20:28:44 UTC
Created attachment 1426247 [details]
/tmp/emitxarch-0d07dd.sh

Comment 3 Omair Majid 2018-04-24 20:58:44 UTC
After installing more debuginfo:


/usr/include/c++/8/bits/stl_vector.h:932: std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) [with _Tp = long unsigned int; _Alloc = std::allocator<long unsigned int>; std::vector<_Tp, _Alloc>::reference = long unsigned int&; std::vector<_Tp, _Alloc>::size_type = long unsigned int]: Assertion '__builtin_expect(__n < this->size(), true)' failed.
#0 0x00007fe3e688395e llvm::sys::PrintStackTrace(llvm::raw_ostream&) (/usr/bin/../lib64/libLLVM-6.0.so+0x80c95e)
#1 0x00007fe3e6881896 llvm::sys::RunSignalHandlers() (/usr/bin/../lib64/libLLVM-6.0.so+0x80a896)
#2 0x00007fe3e6881a59 (/usr/bin/../lib64/libLLVM-6.0.so+0x80aa59)
#3 0x00007fe3e5e69fb0 __restore_rt (/usr/bin/../lib64/libpthread.so.0+0x11fb0)
#4 0x00007fe3e3cfff4b __GI_raise /usr/src/debug/glibc-2.27-37-g39071a5539/signal/../sysdeps/unix/sysv/linux/nptl-signals.h:80:10
#5 0x00007fe3e3cea591 __GI_abort /usr/src/debug/glibc-2.27-37-g39071a5539/stdlib/abort.c:81:7
#6 0x00007fe3e53a4608 (/usr/bin/../lib64/libclangCodeGen.so.6+0xa4608)
#7 0x00007fe3e560a797 /usr/include/c++/8/bits/stl_vector.h:932:2
#8 0x00007fe3e560a797 clang::CodeGen::CodeGenPGO::getRegionCount(clang::Stmt const*) /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenPGO.h:114:47
#9 0x00007fe3e560e0d1 /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenPGO.cpp:617:13
#10 0x00007fe3e560e0d1 /usr/src/debug/clang-6.0.0-5.fc28.x86_64/_build/include/clang/AST/StmtNodes.inc:1259:1
#11 0x00007fe3e560e0d1 /usr/src/debug/clang-6.0.0-5.fc28.x86_64/_build/include/clang/AST/StmtNodes.inc:1259:1
#12 0x00007fe3e560ebae /usr/src/debug/clang-6.0.0-5.fc28.x86_64/include/clang/AST/StmtIterator.h:92:15
#13 0x00007fe3e560ebae /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenPGO.cpp:380:42
#14 0x00007fe3e560dfaf /usr/src/debug/clang-6.0.0-5.fc28.x86_64/include/clang/AST/StmtVisitor.h:115:3
#15 0x00007fe3e560e1d9 /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenPGO.cpp:603:5
#16 0x00007fe3e560e1d9 /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenPGO.cpp:603:56
#17 0x00007fe3e560e1d9 /usr/src/debug/clang-6.0.0-5.fc28.x86_64/_build/include/clang/AST/StmtNodes.inc:1269:1
#18 0x00007fe3e560ebae /usr/src/debug/clang-6.0.0-5.fc28.x86_64/include/clang/AST/StmtIterator.h:92:15
#19 0x00007fe3e560ebae /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenPGO.cpp:380:42
#20 0x00007fe3e560dfaf /usr/src/debug/clang-6.0.0-5.fc28.x86_64/include/clang/AST/StmtVisitor.h:115:3
#21 0x00007fe3e5625c29 /usr/include/llvm/ADT/SmallVector.h:116:45
#22 0x00007fe3e5625c29 /usr/include/llvm/ADT/SmallVector.h:343:5
#23 0x00007fe3e5625c29 /usr/include/llvm/ADT/SmallVector.h:864:7
#24 0x00007fe3e5625c29 ~ComputeRegionCounts /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenPGO.cpp:339:8
#25 0x00007fe3e5625c29 clang::CodeGen::CodeGenPGO::computeRegionCounts(clang::Decl const*) /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenPGO.cpp:865:50
#26 0x00007fe3e5625f0c clang::CodeGen::CodeGenPGO::assignRegionCounters(clang::GlobalDecl, llvm::Function*) /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenPGO.cpp:786:5
#27 0x00007fe3e55c0f0b /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenFunction.cpp:1298:3
#28 0x00007fe3e55c0f0b /usr/src/debug/clang-6.0.0-5.fc28.x86_64/include/clang/AST/DeclCXX.h:2668:58
#29 0x00007fe3e55c0f0b /usr/include/llvm/Support/Casting.h:59:23
#30 0x00007fe3e55c0f0b /usr/include/llvm/Support/Casting.h:107:36
#31 0x00007fe3e55c0f0b /usr/include/llvm/Support/Casting.h:133:40
#32 0x00007fe3e55c0f0b /usr/include/llvm/Support/Casting.h:124:60
#33 0x00007fe3e55c0f0b /usr/include/llvm/Support/Casting.h:144:74
#34 0x00007fe3e55c0f0b clang::CodeGen::CodeGenFunction::GenerateCode(clang::GlobalDecl, llvm::Function*, clang::CodeGen::CGFunctionInfo const&) /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenFunction.cpp:1298:29
#35 0x00007fe3e55dfbad clang::CodeGen::CodeGenModule::EmitGlobalFunctionDefinition(clang::GlobalDecl, llvm::GlobalValue*) /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenModule.cpp:3276:3
#36 0x00007fe3e55fa8f0 clang::CodeGen::CodeGenModule::EmitGlobalDefinition(clang::GlobalDecl, llvm::GlobalValue*) /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenModule.cpp:2044:37
#37 0x00007fe3e55fb880 clang::CodeGen::CodeGenModule::EmitGlobal(clang::GlobalDecl) /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenModule.cpp:1829:5
#38 0x00007fe3e55fc63b clang::CodeGen::CodeGenModule::EmitTopLevelDecl(clang::Decl*) /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenModule.cpp:4013:5
#39 0x00007fe3e566325f /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/ModuleBuilder.cpp:159:7
#40 0x00007fe3e55aab91 clang::BackendConsumer::HandleTopLevelDecl(clang::DeclGroupRef) /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenAction.cpp:170:7
#41 0x00007fe3e2040893 clang::ParseAST(clang::Sema&, bool, bool) /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/Parse/ParseAST.cpp:151:15
#42 0x00007fe3e55b00da clang::CodeGenAction::ExecuteAction() /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/CodeGen/CodeGenAction.cpp:1032:1
#43 0x00007fe3e4cb2346 clang::FrontendAction::Execute() /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/Frontend/FrontendAction.cpp:897:21
#44 0x00007fe3e4c6cfd6 clang::CompilerInstance::ExecuteAction(clang::FrontendAction&) /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/Frontend/CompilerInstance.cpp:992:7
#45 0x00007fe3e49ca438 clang::ExecuteCompilerInvocation(clang::CompilerInstance*) /usr/src/debug/clang-6.0.0-5.fc28.x86_64/lib/FrontendTool/ExecuteCompilerInvocation.cpp:253:3
#46 0x000055ce4cda9e28 cc1_main(llvm::ArrayRef<char const*>, char const*, void*) /usr/src/debug/clang-6.0.0-5.fc28.x86_64/tools/driver/cc1_main.cpp:221:38
#47 0x000055ce4cda58b2 ExecuteCC1Tool /usr/src/debug/clang-6.0.0-5.fc28.x86_64/tools/driver/driver.cpp:311:22
#48 0x000055ce4cda58b2 main /usr/src/debug/clang-6.0.0-5.fc28.x86_64/tools/driver/driver.cpp:388:26
#49 0x00007fe3e3cec1bb __libc_start_main /usr/src/debug/glibc-2.27-37-g39071a5539/csu/../csu/libc-start.c:342:3
#50 0x000055ce4cda641a _start (/usr/bin/clang-6.0+0xf41a)

Comment 4 Omair Majid 2018-05-02 16:52:10 UTC
Disabling profile guided optimizations makes this build work. I can no longer reproduce the crash when I disable PGO.

Comment 5 Tom Stellard 2018-05-07 16:04:44 UTC
Would you also be able to upload the profile data from:

/home/omajid/devel/dotnet/source-build/packages/optimization.linux-x64.pgo.coreclr/99.99.99-master-20180228-0037/data/clrjit.profdata

Comment 6 Omair Majid 2018-08-29 22:47:32 UTC
I can no longer reproduce the crashes with my original build steps. Not sure what got fixed where, though :)

Thanks for the help!


Note You need to log in before you can comment on or make changes to this bug.